{
  "schema_version": "1.4.0",
  "id": "GHSA-h6mv-mc2j-c734",
  "modified": "2022-05-01T23:43:43Z",
  "published": "2022-05-01T23:43:43Z",
  "aliases": [
    "CVE-2008-1803"
  ],
  "details": "Integer signedness error in the xrealloc function (rdesktop.c) in RDesktop 1.5.0 allows remote attackers to execute arbitrary code via unknown parameters that trigger a heap-based overflow.  NOTE: the role of the channel_process function was not specified by the original researcher.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2008-1803"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/42277"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A9800"
    },
    {
      "type": "WEB",
      "url": "http://labs.idefense.com/intelligence/vulnerabilities/display.php?id=698"
    },
    {
      "type": "WEB",
      "url": "http://rdesktop.cvs.sourceforge.net/rdesktop/rdesktop/rdesktop.c?r1=1.161&r2=1.162&pathrev=HEAD"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/30118"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/30248"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/30713"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31224"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/31928"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200806-04.xml"
    },
    {
      "type": "WEB",
      "url": "http://sourceforge.net/mailarchive/message.php?msg_name=20080511065217.GA24455%40cse.unsw.EDU.AU"
    },
    {
      "type": "WEB",
      "url": "http://sunsolve.sun.com/search/document.do?assetkey=1-26-240708-1"
    },
    {
      "type": "WEB",
      "url": "http://support.avaya.com/elmodocs2/security/ASA-2008-360.htm"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2008/dsa-1573"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDVSA-2008:101"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/archives/fedora-package-announce/2008-May/msg00244.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/archives/fedora-package-announce/2008-May/msg00270.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/archives/fedora-package-announce/2008-May/msg00296.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2008-0575.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/29097"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1019992"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-646-1"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2008/1467/references"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2008/2403"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2008-05-12T22:20:00Z"
  }
}